Won't compile with thread-safe PHP #3

Closed
agg3l opened this Issue Mar 31, 2011 · 2 comments

Comments

Projects
None yet
2 participants

agg3l commented Mar 31, 2011

Unfortunately, extension won't compile when PHP is built with thread-safety enabled ('--enable-maintainer-zts' configure option), as there is quite a mess with TSRMLS_* macros usage.
Suppose you can take a look at theirs definition in php/TSRM/TSRM.h.
Nice reading on the subject: http://blog.golemon.com/2006/06/what-heck-is-tsrmlscc-anyway.html
PS: v2.0.11 is last one I can build "out of box"

Contributor

nicolasff commented Apr 2, 2011

Thank you for this report. I'll take a look at this soon.

Contributor

nicolasff commented Apr 4, 2011

This should now be fixed. Could you please try it on your setup as well?
I'll tag a new version if all works for you.

Nicolas.

@nicolasff nicolasff closed this Apr 14, 2011

yatsukhnenko added a commit to yatsukhnenko/phpredis that referenced this issue Nov 20, 2016

yatsukhnenko added a commit to yatsukhnenko/phpredis that referenced this issue Dec 2, 2016

yatsukhnenko added a commit to yatsukhnenko/phpredis that referenced this issue Dec 4, 2016

yatsukhnenko added a commit to yatsukhnenko/phpredis that referenced this issue Apr 17, 2017

yatsukhnenko added a commit to yatsukhnenko/phpredis that referenced this issue Aug 15, 2017

yatsukhnenko added a commit to yatsukhnenko/phpredis that referenced this issue Aug 15, 2017

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment